net.minecraft.world.gen.structure

## Class StructureStart

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureStart

- Direct Known Subclasses:
    MapGenNetherBridge.Start, MapGenScatteredFeature.Start, MapGenStronghold.Start, MapGenVillage.Start, StructureMineshaftStart

      public abstract class StructureStart
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected StructureBoundingBox` | `boundingBox`
    `protected java.util.LinkedList` | `components`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StructureStart()`
    `StructureStart(int par1, int par2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `func_143017_b(NBTTagCompound par1NBTTagCompound)`
    `int` | `func_143018_f()`
    `int` | `func_143019_e()`
    `void` | `func_143020_a(World par1World, NBTTagCompound par2NBTTagCompound)`
    `NBTTagCompound` | `func_143021_a(int par1, int par2)`
    `void` | `func_143022_a(NBTTagCompound par1NBTTagCompound)`
    `void` | `generateStructure(World par1World, java.util.Random par2Random, StructureBoundingBox par3StructureBoundingBox)`
    `StructureBoundingBox` | `getBoundingBox()`
    `java.util.LinkedList` | `getComponents()`
    `boolean` | `isSizeableStructure()`
    `protected void` | `markAvailableHeight(World par1World, java.util.Random par2Random, int par3)`
    `protected void` | `setRandomHeight(World par1World, java.util.Random par2Random, int par3, int par4)`
    `protected void` | `updateBoundingBox()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### components

          protected java.util.LinkedList components

    - #### boundingBox

          protected StructureBoundingBox boundingBox

  - ### Constructor Detail

    - #### StructureStart

          public StructureStart()

    - #### StructureStart

          public StructureStart(int par1,
                        int par2)

  - ### Method Detail

    - #### getBoundingBox

          public StructureBoundingBox getBoundingBox()

    - #### getComponents

          public java.util.LinkedList getComponents()

    - #### generateStructure

          public void generateStructure(World par1World,
                               java.util.Random par2Random,
                               StructureBoundingBox par3StructureBoundingBox)

    - #### updateBoundingBox

          protected void updateBoundingBox()

    - #### func_143021_a

          public NBTTagCompound func_143021_a(int par1,
                                     int par2)

    - #### func_143022_a

          public void func_143022_a(NBTTagCompound par1NBTTagCompound)

    - #### func_143020_a

          public void func_143020_a(World par1World,
                           NBTTagCompound par2NBTTagCompound)

    - #### func_143017_b

          public void func_143017_b(NBTTagCompound par1NBTTagCompound)

    - #### markAvailableHeight

          protected void markAvailableHeight(World par1World,
                                 java.util.Random par2Random,
                                 int par3)

    - #### setRandomHeight

          protected void setRandomHeight(World par1World,
                             java.util.Random par2Random,
                             int par3,
                             int par4)

    - #### isSizeableStructure

          public boolean isSizeableStructure()

    - #### func_143019_e

          public int func_143019_e()

    - #### func_143018_f

          public int func_143018_f()